Đến nội dung


Hình ảnh
- - - - -

Hiệu Chỉnh Đường Dùng Lệnh Le


  • Please log in to reply
21 replies to this topic

#1 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 31 January 2016 - 01:22 AM

Mình sử dụng khá nhiều đường Le để ghỉ chú

Để điều chỉnh các đường Le thẳng hàng song song khoảng cách bàng nhau thì rất mất thời gian

Khi có nhiều đường Le có lệnh nào thực hiện được giống lệnh cát chân dim chẳng hạn

Bạn nào có thể viết giúp mình 1 lisp thực hiện điều đó được không.

Thakshttp://www.cadviet.c.../5/11317_le.dwg


  • -3

#2 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 31 January 2016 - 08:27 PM

Tết rùi hay sao mà không thấy ai giúp mình vậy


  • -3

#3 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 February 2016 - 12:11 AM

bạn nào rảnh viết giúp mình lisp này đi


  • -3

#4 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 February 2016 - 09:30 AM

Không giúp thì thôi mà cứ ấn dislike vậy

Mà mấy bạn cần thêm thông tin gì để viết lisp này không mà sao k ai viết hộ vây


  • -6

#5 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 February 2016 - 10:32 AM

An tiếp đi, anh chiều các chú


  • -5

#6 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 February 2016 - 12:56 PM

Ít thế tiếp đi chứ


  • -2

#7 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 04 February 2016 - 06:58 PM

Ít thế tiếp đi chứ

Không hiểu ý bạn muốn ji ? Cắt Le tại gốc hay đâu ? :)


  • 1

#8 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 04 February 2016 - 11:29 PM

Không hiểu ý bạn muốn ji ? Cắt Le tại gốc hay đâu ? :)

bạn xem giúp mình file mình gửi mình có ghi đầy đủ yêu cầu

http://www.mediafire...8q3/Lisp Le.dwg

bạn xem làm được thì giúp mình viết 1 cái lisp như thế này nhé

thanks


  • 0

#9 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 05 February 2016 - 10:25 AM

bạn xem giúp mình file mình gửi mình có ghi đầy đủ yêu cầu

http://www.mediafire...8q3/Lisp Le.dwg

bạn xem làm được thì giúp mình viết 1 cái lisp như thế này nhé

thanks

Dường như các objs Le trong bản vẽ của bạn là copy từ đâu đó chứ không phải tạo ra từ lệnh Le :P

Việc tạo Obi Leader từ Lisp phải có ít nhất 2 points nên yêu cầu 2 3 là mù mờ :)

Có thể đáp ứng nguyện vọng 1 của bạn cũng là không đơn giản :wub:  nhưng làm được :D


  • 1

#10 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 05 February 2016 - 11:40 AM

Nguyện vọng 1 đây :) :

(defun c:Ele (/ getXdata SaVa dxf2va SetXdata doc ms p1 p2 s l l1 lst p3 p4 
pg lm type pt te pts obj lx)
(defun getXdata (obj / typ val)   
(vla-getxdata obj "" 'typ 'val) (if (and typ val) (apply 'mapcar (cons 'cons (list 
(vlax-safearray->list typ) (mapcar 'vlax-variant-value (vlax-safearray->list val)))))) )
(defun SaVa (mode lst)
(vlax-make-variant (vlax-safearray-fill (vlax-make-safearray mode
(cons 0 (1- (length lst)))) lst)) )
(defun dxf2va (lst *typ *val / d)
(set *typ (SaVa vlax-vbInteger (mapcar 'car lst))) 
(set *val (SaVa vlax-vbVariant (mapcar '(lambda (x) (if (listp (setq d (cdr x))) 
(vlax-3D-point d) (vlax-make-variant d))) lst))) )
(defun SetXdata (obj lst) (dxf2va lst 'typ 'val) (vla-SetXData obj typ val) )
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)) ms (vla-get-ModelSpace doc))
(princ "\nChon cac Leaders...") (if (and (ssget '((0 . "LEADER"))) (setq p1 (getpoint 
"\nPick chon diem chuan cho cac diem goc cua Leaders...") p2 (polar p1 (* pi 0.5) 1)) ) 
(progn (vlax-for le (setq s (vla-get-ActiveSelectionSet doc)) (setq l (vlax-get le 'Coordinates) 
l1 (reverse (cdddr (reverse l)))) (repeat (/ (length l) 3) (setq lst (cons (list (car l) (cadr l) 
(caddr l)) lst)) (setq l (cdddr l))) (setq p3 (car lst) p4 (polar p3 pi 1) 
pg (inters p1 p2 p3 p4 nil)) (setq lm (append l1 pg))
(setq type (vla-get-type le) pt (vlax-3d-point pg) te (vla-AddMText ms pt 1 "")
pts (SaVa 5 lm)) (setq obj (vla-AddLeader ms pts te type)) (vla-Erase te) 
(if (setq lx (getXdata le)) (SetXdata obj lx) ) (vla-put-Coordinate obj 2 pt)
(vla-put-StyleName obj (vla-get-StyleName le)) (vla-put-layer obj (vla-get-layer le)) 
(vla-put-arrowheadsize obj (vla-get-arrowheadsize le)) (vla-put-DimensionLineColor obj 
(vla-get-DimensionLineColor le)) (vla-Erase le)) (vla-delete s) )) (princ))


  • 1

#11 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 05 February 2016 - 01:00 PM

 

Nguyện vọng 1 đây :) :

(defun c:Ele (/ getXdata SaVa dxf2va SetXdata doc ms p1 p2 s l l1 lst p3 p4 
pg lm type pt te pts obj lx)
(defun getXdata (obj / typ val)   
(vla-getxdata obj "" 'typ 'val) (if (and typ val) (apply 'mapcar (cons 'cons (list 
(vlax-safearray->list typ) (mapcar 'vlax-variant-value (vlax-safearray->list val)))))) )
(defun SaVa (mode lst)
(vlax-make-variant (vlax-safearray-fill (vlax-make-safearray mode
(cons 0 (1- (length lst)))) lst)) )
(defun dxf2va (lst *typ *val / d)
(set *typ (SaVa vlax-vbInteger (mapcar 'car lst))) 
(set *val (SaVa vlax-vbVariant (mapcar '(lambda (x) (if (listp (setq d (cdr x))) 
(vlax-3D-point d) (vlax-make-variant d))) lst))) )
(defun SetXdata (obj lst) (dxf2va lst 'typ 'val) (vla-SetXData obj typ val) )
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)) ms (vla-get-ModelSpace doc))
(princ "\nChon cac Leaders...") (if (and (ssget '((0 . "LEADER"))) (setq p1 (getpoint 
"\nPick chon diem chuan cho cac diem goc cua Leaders...") p2 (polar p1 (* pi 0.5) 1)) ) 
(progn (vlax-for le (setq s (vla-get-ActiveSelectionSet doc)) (setq l (vlax-get le 'Coordinates) 
l1 (reverse (cdddr (reverse l)))) (repeat (/ (length l) 3) (setq lst (cons (list (car l) (cadr l) 
(caddr l)) lst)) (setq l (cdddr l))) (setq p3 (car lst) p4 (polar p3 pi 1) 
pg (inters p1 p2 p3 p4 nil)) (setq lm (append l1 pg))
(setq type (vla-get-type le) pt (vlax-3d-point pg) te (vla-AddMText ms pt 1 "")
pts (SaVa 5 lm)) (setq obj (vla-AddLeader ms pts te type)) (vla-Erase te) 
(if (setq lx (getXdata le)) (SetXdata obj lx) ) (vla-put-Coordinate obj 2 pt)
(vla-put-StyleName obj (vla-get-StyleName le)) (vla-put-layer obj (vla-get-layer le)) 
(vla-put-arrowheadsize obj (vla-get-arrowheadsize le)) (vla-put-DimensionLineColor obj 
(vla-get-DimensionLineColor le)) (vla-Erase le)) (vla-delete s) )) (princ))

Mình thử rùi dùng rất tuyệt, bạn viết giúp mình 2 ý còn lại nhé

Thanks


  • -1

#12 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 21 February 2016 - 12:01 AM

 

Nguyện vọng 1 đây :) :

(defun c:Ele (/ getXdata SaVa dxf2va SetXdata doc ms p1 p2 s l l1 lst p3 p4 
pg lm type pt te pts obj lx)
(defun getXdata (obj / typ val)   
(vla-getxdata obj "" 'typ 'val) (if (and typ val) (apply 'mapcar (cons 'cons (list 
(vlax-safearray->list typ) (mapcar 'vlax-variant-value (vlax-safearray->list val)))))) )
(defun SaVa (mode lst)
(vlax-make-variant (vlax-safearray-fill (vlax-make-safearray mode
(cons 0 (1- (length lst)))) lst)) )
(defun dxf2va (lst *typ *val / d)
(set *typ (SaVa vlax-vbInteger (mapcar 'car lst))) 
(set *val (SaVa vlax-vbVariant (mapcar '(lambda (x) (if (listp (setq d (cdr x))) 
(vlax-3D-point d) (vlax-make-variant d))) lst))) )
(defun SetXdata (obj lst) (dxf2va lst 'typ 'val) (vla-SetXData obj typ val) )
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)) ms (vla-get-ModelSpace doc))
(princ "\nChon cac Leaders...") (if (and (ssget '((0 . "LEADER"))) (setq p1 (getpoint 
"\nPick chon diem chuan cho cac diem goc cua Leaders...") p2 (polar p1 (* pi 0.5) 1)) ) 
(progn (vlax-for le (setq s (vla-get-ActiveSelectionSet doc)) (setq l (vlax-get le 'Coordinates) 
l1 (reverse (cdddr (reverse l)))) (repeat (/ (length l) 3) (setq lst (cons (list (car l) (cadr l) 
(caddr l)) lst)) (setq l (cdddr l))) (setq p3 (car lst) p4 (polar p3 pi 1) 
pg (inters p1 p2 p3 p4 nil)) (setq lm (append l1 pg))
(setq type (vla-get-type le) pt (vlax-3d-point pg) te (vla-AddMText ms pt 1 "")
pts (SaVa 5 lm)) (setq obj (vla-AddLeader ms pts te type)) (vla-Erase te) 
(if (setq lx (getXdata le)) (SetXdata obj lx) ) (vla-put-Coordinate obj 2 pt)
(vla-put-StyleName obj (vla-get-StyleName le)) (vla-put-layer obj (vla-get-layer le)) 
(vla-put-arrowheadsize obj (vla-get-arrowheadsize le)) (vla-put-DimensionLineColor obj 
(vla-get-DimensionLineColor le)) (vla-Erase le)) (vla-delete s) )) (princ))

Lisp nay chỉ theo 1 chiều đuoc thôi, nêu Le theo chiều khác hay các huong khac nhau thì không đươc.Bạn có thể viết cho phuong bất kỳ của Le được không


  • 0

#13 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 21 February 2016 - 08:54 AM

Lisp nay chỉ theo 1 chiều đuoc thôi, nêu Le theo chiều khác hay các huong khac nhau thì không đươc.Bạn có thể viết cho phuong bất kỳ của Le được không

Code trên tôi viết tổng quát cho việc tạo và xóa objects Le. Có thể một lúc nào đó bạn tự viết cho mình trường hợp 2 và 3 nếu bạn có danh sách các points :D .

Trường hơp 1 có thể rút gọn lại cho Le theo chiều khác hay các huong khac nhau :) :

(defun c:Ele (/ doc p1 s l l1 lst p3 p4 a p2 pg lm)
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
(princ "\nChon cac Leaders...") (if (and (ssget '((0 . "LEADER"))) (setq p1 (getpoint 
"\nPick chon diem chuan cho cac diem goc cua Leaders...")) ) 
(progn (vlax-for le (setq s (vla-get-ActiveSelectionSet doc)) (setq l (vlax-get le 'Coordinates) 
l1 (reverse (cdddr (reverse l)))) (repeat (/ (length l) 3) (setq lst (cons (list (car l) (cadr l) 
(caddr l)) lst)) (setq l (cdddr l))) (setq p3 (car lst) p4 (cadr lst) a (angle p4 p3)
p2 (polar p1 (+ a (* pi 0.5)) 1) pg (inters p1 p2 p3 p4 nil)) (setq lm (append l1 pg))
(vlax-put le 'Coordinates lm) ) (vla-delete s) )) (princ))


  • 1

#14 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 21 February 2016 - 11:19 PM

Yêu cầu 2: (Chọn 1 leader nhập khoảng cách offset, số lượng, phía để tạo các leader mới theo kiểu offset)

(defun c:tt  (/ LWPoly ang clr ele ent i lma lpl lsp nle npl obi obj ole dis opl pt1 pt2 sll)
 (defun LWPoly  (lst)
  (entmakex (append (list (cons 0 "LWPOLYLINE")
                          (cons 100 "AcDbEntity")
                          (cons 100 "AcDbPolyline")
                          (cons 90 (length lst))
                          (cons 70 0))
                    (mapcar (function (lambda (p) p)) lst))))
 (princ "\nSelect a Leader...!")
 (if (setq ele (ssget "_+.:E:S" '((0 . "LEADER"))))
  (progn (setq ent (ssname ele 0)
               ole (vlax-ename->vla-object ent)
               clr (vla-get-DimensionLineColor ole)
               lsp (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget ent))
               lma (vl-remove-if '(lambda (x) (member (car x) '(-1 5 10))) (entget ent)))
         (setq opl (LWPoly lsp)
               obj (vlax-ename->vla-object opl))
         (vla-put-color obj clr)
         (if (and (setq dis (getdist "\nOffset distance: "))
                  (setq sll (getint "\nNumber of Leader:"))
                  (setq pt1 (getpoint "\nSelect side to offset to: ")))
          (progn (setq pt2 (vlax-curve-getclosestpointto obj pt1 t)
                       ang (angle pt1 pt2))
                 (if (< pi ang (* pi 2))
                  (setq dis (- dis)))
                 (setq i 0)
                 (repeat sll
                  (setq obi (vla-offset obj (* dis (setq i (1+ i))))
                        npl (entlast)
                        lpl (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget npl)))
                  (setq nle (vlax-ename->vla-object (entmakex (append lma lpl))))
                  (vla-put-arrowheadsize nle (vla-get-arrowheadsize ole))
                  (vla-put-DimensionLineColor nle clr)
                  (entdel npl))
                 (vla-erase obj)))))
 (princ))

  • 2

#15 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 22 February 2016 - 04:01 AM

 

Code trên tôi viết tổng quát cho việc tạo và xóa objects Le. Có thể một lúc nào đó bạn tự viết cho mình trường hợp 2 và 3 nếu bạn có danh sách các points :D .

Trường hơp 1 có thể rút gọn lại cho Le theo chiều khác hay các huong khac nhau :) :

(defun c:Ele (/ doc p1 s l l1 lst p3 p4 a p2 pg lm)
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
(princ "\nChon cac Leaders...") (if (and (ssget '((0 . "LEADER"))) (setq p1 (getpoint 
"\nPick chon diem chuan cho cac diem goc cua Leaders...")) ) 
(progn (vlax-for le (setq s (vla-get-ActiveSelectionSet doc)) (setq l (vlax-get le 'Coordinates) 
l1 (reverse (cdddr (reverse l)))) (repeat (/ (length l) 3) (setq lst (cons (list (car l) (cadr l) 
(caddr l)) lst)) (setq l (cdddr l))) (setq p3 (car lst) p4 (cadr lst) a (angle p4 p3)
p2 (polar p1 (+ a (* pi 0.5)) 1) pg (inters p1 p2 p3 p4 nil)) (setq lm (append l1 pg))
(vlax-put le 'Coordinates lm) ) (vla-delete s) )) (princ))

Thanks bạn.

Về 2 trường hợp kia, thì bạn xem hộ mình nếu lisp chọn điệm làm mốc ( điểm cho trước ) theo các thứ tụ mình chọn, sau đó chọn góc theo chiều mình quay LE, cuối cùng là chọn khoảng cách giua các chân goc quay được không bạn


  • 0

#16 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 22 February 2016 - 04:06 AM

 

Yêu cầu 2: (Chọn 1 leader nhập khoảng cách offset, số lượng, phía để tạo các leader mới theo kiểu offset)

(defun c:tt  (/ LWPoly ang clr ele ent i lma lpl lsp nle npl obi obj ole dis opl pt1 pt2 sll)
 (defun LWPoly  (lst)
  (entmakex (append (list (cons 0 "LWPOLYLINE")
                          (cons 100 "AcDbEntity")
                          (cons 100 "AcDbPolyline")
                          (cons 90 (length lst))
                          (cons 70 0))
                    (mapcar (function (lambda (p) p)) lst))))
 (princ "\nSelect a Leader...!")
 (if (setq ele (ssget "_+.:E:S" '((0 . "LEADER"))))
  (progn (setq ent (ssname ele 0)
               ole (vlax-ename->vla-object ent)
               clr (vla-get-DimensionLineColor ole)
               lsp (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget ent))
               lma (vl-remove-if '(lambda (x) (member (car x) '(-1 5 10))) (entget ent)))
         (setq opl (LWPoly lsp)
               obj (vlax-ename->vla-object opl))
         (vla-put-color obj clr)
         (if (and (setq dis (getdist "\nOffset distance: "))
                  (setq sll (getint "\nNumber of Leader:"))
                  (setq pt1 (getpoint "\nSelect side to offset to: ")))
          (progn (setq pt2 (vlax-curve-getclosestpointto obj pt1 t)
                       ang (angle pt1 pt2))
                 (if (< pi ang (* pi 2))
                  (setq dis (- dis)))
                 (setq i 0)
                 (repeat sll
                  (setq obi (vla-offset obj (* dis (setq i (1+ i))))
                        npl (entlast)
                        lpl (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget npl)))
                  (setq nle (vlax-ename->vla-object (entmakex (append lma lpl))))
                  (vla-put-arrowheadsize nle (vla-get-arrowheadsize ole))
                  (vla-put-DimensionLineColor nle clr)
                  (entdel npl))
                 (vla-erase obj)))))
 (princ))

Bị lỗi bạn ơi load xong nó báo lỗi luôn

Command: AP
APPLOAD Leaner - Offset Le ( CEE ).lsp successfully loaded.
Command: ; error: syntax error

Thanks


  • -1

#17 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 22 February 2016 - 07:08 AM

Trước hết bạn để nguyên lsp không thay đổi bất kỳ nội dung gì trong nó.

Nghi ngờ:

1. Là bạn thay đổi tên lệnh mà không đúng cú pháp.

2. Do download của diễn đàn -> Giải quyết copy và paste, không down...


  • 0

#18 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 22 February 2016 - 08:21 PM

 

Yêu cầu 2: (Chọn 1 leader nhập khoảng cách offset, số lượng, phía để tạo các leader mới theo kiểu offset)

(defun c:tt  (/ LWPoly ang clr ele ent i lma lpl lsp nle npl obi obj ole dis opl pt1 pt2 sll)
 (defun LWPoly  (lst)
  (entmakex (append (list (cons 0 "LWPOLYLINE")
                          (cons 100 "AcDbEntity")
                          (cons 100 "AcDbPolyline")
                          (cons 90 (length lst))
                          (cons 70 0))
                    (mapcar (function (lambda (p) p)) lst))))
 (princ "\nSelect a Leader...!")
 (if (setq ele (ssget "_+.:E:S" '((0 . "LEADER"))))
  (progn (setq ent (ssname ele 0)
               ole (vlax-ename->vla-object ent)
               clr (vla-get-DimensionLineColor ole)
               lsp (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget ent))
               lma (vl-remove-if '(lambda (x) (member (car x) '(-1 5 10))) (entget ent)))
         (setq opl (LWPoly lsp)
               obj (vlax-ename->vla-object opl))
         (vla-put-color obj clr)
         (if (and (setq dis (getdist "\nOffset distance: "))
                  (setq sll (getint "\nNumber of Leader:"))
                  (setq pt1 (getpoint "\nSelect side to offset to: ")))
          (progn (setq pt2 (vlax-curve-getclosestpointto obj pt1 t)
                       ang (angle pt1 pt2))
                 (if (< pi ang (* pi 2))
                  (setq dis (- dis)))
                 (setq i 0)
                 (repeat sll
                  (setq obi (vla-offset obj (* dis (setq i (1+ i))))
                        npl (entlast)
                        lpl (vl-remove-if-not '(lambda (x) (member (car x) '(10))) (entget npl)))
                  (setq nle (vlax-ename->vla-object (entmakex (append lma lpl))))
                  (vla-put-arrowheadsize nle (vla-get-arrowheadsize ole))
                  (vla-put-DimensionLineColor nle clr)
                  (entdel npl))
                 (vla-erase obj)))))
 (princ))

Ý tưởng của bạn tuyệt vời :) . Tuy nhiên mình xin góp ý nhỏ :) :

- Đoạn code tạo đối tượng opl nên đặt sau phần nhập getdist, getint và getpoint để tránh nếu lở Enter thì không xuất hiện Pline thừa

- Việc xác dis (if (< pi ang (* pi 2)) (setq dis (- dis))) để chọn hướng offset có vẽ không ổn :D

- Ý tưởng offset tạo ra các Leader song song cách đều theo 2 phương, Trong khi chủ thớt muốn có thê là khoảng // trục X khác trục Y.


  • 2

#19 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 22 February 2016 - 09:24 PM

+ Cám ơn góp ý của bác pphung183, xin bác tư vấn thêm ở ý 2!

+ ý 3: Nếu leader line chỉ có 2 Segment thì dễ giải quyết hơn, nếu nhiều thì hơi rắc rối. Nếu chủ thớt chấp nhận kiểu multi copy thì OK.

P/S: ý 2 có lẽ dùng clockwise thì ổn.


  • 0

#20 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 23 February 2016 - 09:49 AM

+ Cám ơn góp ý của bác pphung183, xin bác tư vấn thêm ở ý 2!

+ ý 3: Nếu leader line chỉ có 2 Segment thì dễ giải quyết hơn, nếu nhiều thì hơi rắc rối. Nếu chủ thớt chấp nhận kiểu multi copy thì OK.

P/S: ý 2 có lẽ dùng clockwise thì ổn.

Dùng cách củ chuối command tạo offset trong vòng lặp repeat cho đỡ nhức đầu :D (bỏ pt2) :

(command "_offset" (* dis (setq i (1+ i))) opl "non" pt1 "")


  • 0